metadata:
  name: apparmor-functional-demo
  format: "Apertis Test Definition 1.0"
  image-types:
    fixedfunction: [ armhf, arm64, amd64 ]
    hmi:           [ armhf, amd64 ]
    basesdk:       [ amd64 ]
    sdk:           [ amd64 ]
  image-deployment:
    - APT
  type: functional
  exec-type: automated
  priority: medium
  maintainer: "Apertis Project"
  description: "Show some main AppArmor functionalities, like transitions, net
                access or resource permissions, under the form of tests."

  expected:
    - "The /usr/lib/apparmor-demo/lava_run_tests script should return 0. The
       return value indicates the number of tests which failed. A similar output
       will be shown:"
    - |
        >/usr/lib/apparmor-demo/exec.sh: PASSED - /tmp/apparmor-demo/sdtest.6406-11853-I7WUoO
        /usr/lib/apparmor-demo/exec_env.sh: FAILED - /tmp/apparmor-demo/sdtest.6704-7180-0VTgAJ

  notes:
    - "Some of the tests included are taken from AppArmor upstream, some are
       locally developed."

install:
  deps:
    - bash
    - apparmor-demo
    - busybox
    - apertis-tests-apparmor-report
  git-repos:
    - url: https://gitlab.apertis.org/pkg/apertis-tests.git
      branch: 'apertis/v2022dev3'

run:
  steps:
    - "# Enter test directory:"
    - cd apertis-tests
    - "# Execute the following commands:"
    - common/run-test-in-systemd --name=run-lava_run_tests --timeout=90 /usr/lib/apparmor-demo/lava_run_tests
    - sudo journalctl -b -t audit -o cat | /usr/bin/aa_log_extract_tokens.sh ALLOWED DENIED

parse:
  fixupdict:
    FAILED: fail
    PASSED: pass
    SKIP: skip
  pattern: ^(?P<test_case_id>.+)\.sh:\s*(?P<result>PASS|PASSED|pass|FAIL|FAILED|fail|SKIP|skip|UNKNOWN|unknown)\s*-
